Subject: Re: Feature Request for the Git Bundler

From: Tomas Carnecky <[email-masked]>
Date: Mon, 27 May 2013 21:36:57 +0000

On Mon, 27 May 2013 16:11:06 +0430, Omid Mo'menzadeh <[email-masked]> wrote:
> Dear Tomas,
> I was using your git bundler a few days ago, and it worked like a charm.
> But there is a problem out there, and that is most users of your bundler
> are people using an unstable internet connection. I downloaded the bundle,
> and 'git bundle verify' said it was OK, but it wasn't. My only way of
> knowing that was asking for someone to download it and give me a checksum,
> and it took a whole day for me. So it would be nice if you could add a
> chekcsum, md5, sha1 or anything, to the download page, so anyone can check
> the downloaded bundle easily.

I think the real problem is that git bundle verify does not actually verify
the contents. Maybe there is another command which can check the contents of
a bundle for corruption? A added the git mailing list to CC, maybe someone
there knows more.

Note for readers on the mailing list: the bundler service Omid is referring to
is the one that I host here: http://bundler.caurea.org.